org.wildfly.swarm.config

## Class ResourceAdapters<T extends ResourceAdapters<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.ResourceAdapters<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map
  Direct Known Subclasses:
    ResourceAdapterFraction

      public class ResourceAdapters<T extends ResourceAdapters<T>>
      extends HashMap

  Configuration of the resource adapters subsystem.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ResourceAdapters.ResourceAdaptersResources` Child mutators for ResourceAdapters

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceAdapters()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `T` | `resourceAdapter(ResourceAdapter value)` Add the ResourceAdapter object to the list of subresources
    `T` | `resourceAdapter(ResourceAdapterSupplier supplier)` Install a supplied ResourceAdapter object to the list of subresources
    `T` | `resourceAdapter(String childKey)` Create and configure a ResourceAdapter object to the list of subresources
    `T` | `resourceAdapter(String childKey, ResourceAdapterConsumer consumer)` Create and configure a ResourceAdapter object to the list of subresources
    `T` | `resourceAdapters(List<ResourceAdapter> value)` Add all ResourceAdapter objects to this subresource
    `ResourceAdapters.ResourceAdaptersResources` | `subresources()`

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### ResourceAdapters

          public ResourceAdapters()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public ResourceAdapters.ResourceAdaptersResources subresources()

    - #### resourceAdapters

          public T resourceAdapters(List<ResourceAdapter> value)

      Add all ResourceAdapter objects to this subresource
      Parameters:
        `value` - List of ResourceAdapter objects.
      Returns:
        this

    - #### resourceAdapter

          public T resourceAdapter(ResourceAdapter value)

      Add the ResourceAdapter object to the list of subresources
      Parameters:
        `value` - The ResourceAdapter to add
      Returns:
        this

    - #### resourceAdapter

          public T resourceAdapter(String childKey,
                                   ResourceAdapterConsumer consumer)

      Create and configure a ResourceAdapter object to the list of subresources
      Parameters:
        `key` - The key for the ResourceAdapter resource
        `config` - The ResourceAdapterConsumer to use
      Returns:
        this

    - #### resourceAdapter

          public T resourceAdapter(String childKey)

      Create and configure a ResourceAdapter object to the list of subresources
      Parameters:
        `key` - The key for the ResourceAdapter resource
      Returns:
        this

    - #### resourceAdapter

          public T resourceAdapter(ResourceAdapterSupplier supplier)

      Install a supplied ResourceAdapter object to the list of subresources

Copyright © 2018 JBoss by Red Hat. All rights reserved.